## CGAL::Regular_triangulation_face_base_2<Traits,Fb>

### Definition

The class Regular_triangulation_face_base_2<Traits,Fb> is a model of the concept RegularTriangulationFaceBase_2. It is the default face base class of regular triangulations.

#include <CGAL/Regular_triangulation_face_base_2.h>

### Parameters

The template parameters Traits has to be a model of RegularTriangulationTraits_2.

The template parameter Fb has to be a model of TriangulationFaceBase_2. By default, this parameter is instantiated by CGAL::Triangulation_face_base_2<Traits>.

### Is Model for the Concept

RegularTriangulationFaceBase_2

### Inherits From

Fb

### See Also

RegularTriangulationFaceBase_2
RegularTriangulationTraits_2
CGAL::Regular_triangulation_2<Traits,Tds>
CGAL::Regular_triangulation_vertex_base_2<Traits>